# 使用 Python 基础镜像
FROM python:3.10

# 设置工作目录
WORKDIR /app

# 安装虚拟环境工具
RUN apt-get update && apt-get install -y python3-venv

# 创建虚拟环境
RUN python3 -m venv venv

# 激活虚拟环境并设置环境变量
ENV PATH="/app/venv/bin:$PATH"

# 复制项目文件到工作目录
COPY . /app

# 在虚拟环境中安装项目依赖
RUN pip install --no-cache-dir -i https://mirrors.aliyun.com/pypi/simple/ -r requirements.txt

RUN pip install uvicorn
# 暴露应用端口
#EXPOSE 5000

# 启动应用

CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "29015"]

    